5

Possible Duplicate:
Why are some Apps on the market be incompatible with my device?

I would like to download and install this app on my Samsung Continuum SCH-I400 running Android 2.2.2 but instead of a download button, the Market displays an error message that reads:

Your device isn't compatible with this item.

I checked the minimum requirement for this app and it says Android 2.2. Why would Android Market flag it as incompatible with my phone?

Is there a way to get from the Android Market more details about this incompatibility?

What do I need to add or change in my Samsung Continuum SCH-I400 to make it compatible?

  • 2
  • 2
    @eldarerathis Thanks for that link. The answer there, however, doesn't help my particular case at all. I am still clueless as to what I need to change in my phone to make it compatible with that app. +1. – uTubeFan Jan 8 '12 at 3:59
  • 1
    You probably can't change anything to make it compatible, short of making the Market think it's another type of phone. – ale Jan 8 '12 at 4:07
  • 5
    @Al Everett Thanks. I can't understand why the Market is so mysterious about this. That's very disappointing. +1. – uTubeFan Jan 8 '12 at 4:17
  • 1
    I just downloaded this same exact app from CNET and it works like a charm. So my device is perfectly compatible with this app. It looks like a bug in the Android Market. – uTubeFan Jan 8 '12 at 18:47